package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsPatient;
import com.lyms.talkonlineweb.service.LymsPatientService;
import com.lyms.talkonlineweb.mapper.LymsPatientMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class LymsPatientServiceImpl extends ServiceImpl<LymsPatientMapper, LymsPatient>
    implements LymsPatientService{

    @Autowired
    private LymsPatientMapper lymsPatientMapper;
    @Override
    public List<Map<String,String>> getAppPatientHospital(Integer patientId) {
        return lymsPatientMapper.getAppPatientHospital(patientId);
    }

    @Override
    public List<Map> getPatient(QueryWrapper queryWrapper) {
        return lymsPatientMapper.getPatient(queryWrapper);
    }

    @Override
    public List<Map<String,Object>> getPcInfoList() {
        return lymsPatientMapper.getPcInfoList();
    }
}




